Bug 1547957 - Undercloud / Overcloud Heat stack fails on: YAQL list index out of range (includes upgrades cases)
Summary: Undercloud / Overcloud Heat stack fails on: YAQL list index out of range (inc...
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 10.0 (Newton)
Hardware: All
OS: Unspecified
high
medium
Target Milestone: z8
: 10.0 (Newton)
Assignee: Emilien Macchi
QA Contact: Gurenko Alex
URL:
Whiteboard:
Keywords: Triaged, ZStream
Depends On: 1547949 1547955 1547956
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-02-22 11:23 UTC by Sergii Golovatiuk
Modified: 2018-05-17 15:42 UTC (History)
7 users (show)

(edit)
Clone Of: 1547956
(edit)
Last Closed: 2018-05-17 15:40:56 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:1593 None None None 2018-05-17 15:42 UTC

Description Sergii Golovatiuk 2018-02-22 11:23:42 UTC
+++ This bug was initially created as a clone of Bug #1547956 +++

+++ This bug was initially created as a clone of Bug #1547955 +++

+++ This bug was initially created as a clone of Bug #1547949 +++

The latest YAQL (1.1.3-2.el7) introduces backward incompatible change which was not present in YAQL (1.1.0-3.el7) and below. In order to be able to upgrade to latest YAQL and not to break any new deployments or upgrades YAQL expression should be rewritten to version which is compatible in all YAQL versions. 

Upstream bug: https://bugs.launchpad.net/tripleo/+bug/1750032
Upstream fix: https://review.openstack.org/#/c/545856/1

Comment 13 Gurenko Alex 2018-05-10 09:32:32 UTC
Verified on puddle 2018-05-09.2

[stack@undercloud-0 ~]$ rpm -qa openstack-tripleo-heat-templates
openstack-tripleo-heat-templates-5.3.10-1.el7ost.noarch

[stack@undercloud-0 ~]$ rpm -qa | grep yaql
python-yaql-1.1.0-2.el7ost.noarch

Comment 16 errata-xmlrpc 2018-05-17 15:40:56 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:1593


Note You need to log in before you can comment on or make changes to this bug.